Get Schedule Trigger

Retrieve a schedule trigger, including its next firing time.

Authentication

AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

OR
AuthorizationBearer

API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
trigger_idstringRequiredformat: "uuid"

Response

Schedule trigger details retrieved successfully
idstringformat: "uuid"
target_typeenum
Target resource type for trigger execution.
target_idstringformat: "uuid"
namestring
statusenum
Lifecycle status for triggers.
cron_expressionstring
timezonestring
createdstring
modifiedstring
created_by_user_idstringformat: "uuid"
task_agent_revision_idstring or nullOptionalformat: "uuid"
trigger_type"schedule"OptionalDefaults to schedule
descriptionstring or nullOptional
task_inputmap from strings to any or nullOptional
next_run_atstring or nullOptional
last_run_atstring or nullOptional
expires_atstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error